<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/"></ion-back-button>
    </ion-buttons>
    <ion-title>range</ion-title>
  </ion-toolbar>
</ion-header>
<!-- [style.font-size.em] => estilo escalable en em -> Tamaño de fuente CSS -->
<ion-content padding [style.font-size.em]="fuenteEscalable">
  <p>Pruebas Range</p>
  <ion-item>
    <!-- Creamos en range con un minimo y un maximo, el ngModel realiza la directiva hacia la variable funteEscalable 
      que inicializamos arriba con el estilo de fuente, el cual por cada rango se ejecutara el ngmodel y se vera el cambio 
      en el tamaño de la fuente, se crea una funcion (ionChange)='onChange() para verificar cada cambio de rango y el numero que lleva,
    este numero es con el cual la fuente cambia, recordamos que por cada 1em son 12puntos es decir el tamaño de la fuente.-->
    <ion-range min="1" max="3" snaps="true" [(ngModel)]="fuenteEscalable" (ionChange)='onChange()'>
    </ion-range>
  </ion-item>
  <strong style="font-size: 14px;">Desliza el rango para ver el tamaño de la fuente cambiado</strong>
  <br>
  <img src="assets/user.png" [style.width.%]="fuenteEscalable2" />
  <ion-item>
    <ion-range min="20" max="80" step="2" [(ngModel)]="fuenteEscalable2">
      <ion-icon size="small" slot="start" name="image"></ion-icon>
      <ion-icon slot="end" name="image"></ion-icon>
    </ion-range>
  </ion-item>
  <strong style="font-size: 14px;">Desliza el rango para ver el tamaño de la imagen</strong>
</ion-content>